Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.notifications
Class NotificationPayload

    java.lang.Object
      com.bea.netuix.application.notifications.NotificationPayload

All Implemented Interfaces
  Serializable

    public class NotificationPayload

extends Object
implements Serializable

NotificationPayload contains the information sent in a notification, along with source information, but not destination information.

See Also
  Serialized Form

Constructor Summary
`NotificationPayload(NotificationPayloadInfo info, NotificationPayloadId id)`
`NotificationPayload(NotificationPayloadInfo info, NotificationPayloadId id, boolean active)`

Method Summary
`boolean` | `equals(Object o)`
`Date` | `getExpirationDate()` Gets the expiration date for this notification.
`NotificationPayloadId` | `getId()` Returns the `NotificationPayloadId` for this `NotificationPayload`.
`String` | `getName()` Returns the name for this `NotificationPayload`.
`String` | `getNamespace()` Returns the namespace for this `NotificationPayload`.
`String` | `getPayload()` Returns the payload for this `NotificationPayload`.
`DesktopDefinitionId` | `getSourceDesktopDefinitionId()` Returns the source DesktopDefinitionId that this notification was sent from, if available.
`String` | `getSourceDesktopInstanceTitle()` Returns the source desktop instance title that this notification was sent from, if available.
`DesktopPath` | `getSourceDesktopPath()` Returns the desktop path for the desktop that sent this notification, if available.
`PortalPath` | `getSourcePortalPath()` Returns the portal path for the desktop that sent this notification, if available.
`String` | `getSourcePortletDefinitionLabel()` Returns the source portlet definition label for the portlet that this notification was sent from, if available.
`String` | `getSourcePortletInstanceLabel()` Gets the source portlet instance label for the portlet that this notification was sent from, if available.
`String` | `getSourceWebAppName()` Returns the webapp name this `NotificationPayload` was sent from.
`String` | `getTargetWebAppName()` Returns the webapp name this `NotificationPayload` is targeted to, or null if the notification is globally scoped.
`boolean` | `isActive()` Determines if this notification is marked as being active in the database.
`boolean` | `isSelfDestructing()` Indicates whether this notification is self-destructing.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotificationPayload

    public NotificationPayload(NotificationPayloadInfo info,
                               NotificationPayloadId id)

### NotificationPayload

    public NotificationPayload(NotificationPayloadInfo info,
                               NotificationPayloadId id,
                               boolean active)

Method Detail

### getId

    public NotificationPayloadId getId()

  Returns the `NotificationPayloadId` for this `NotificationPayload`.

  Returns
    the `NotificationPayloadId` for this `NotificationPayload`

### getNamespace

    public String getNamespace()

  Returns the namespace for this `NotificationPayload`.

  Returns
    the namespace for this `NotificationPayload`

### getName

    public String getName()

  Returns the name for this `NotificationPayload`.

  Returns
    the name for this `NotificationPayload`

### getPayload

    public String getPayload()

  Returns the payload for this `NotificationPayload`.

  Returns
    the payload for this `NotificationPayload`

### getTargetWebAppName

    public String getTargetWebAppName()

  Returns the webapp name this `NotificationPayload` is targeted to, or null if the notification is globally scoped.

  Returns
    the webapp name that this `NotificationPayload` is targeted to, or null if the notification is globally scoped.

### getSourceWebAppName

    public String getSourceWebAppName()

  Returns the webapp name this `NotificationPayload` was sent from.

  Returns
    the webapp name that this `NotificationPayload` was sent from.

### getSourceDesktopDefinitionId

    public DesktopDefinitionId getSourceDesktopDefinitionId()

  Returns the source DesktopDefinitionId that this notification was sent from, if available. Some notifications may be sent by the Portal framework and may not have an applicable source DesktopDefinitionId, and some notifications may be sent from non-streamed Desktops which do not have DesktopDefinitionIds.

  Returns
    the DesktopDefinitionId this notification was sent from, if available; `null` otherwise.

### getSourcePortalPath

    public PortalPath getSourcePortalPath()

  Returns the portal path for the desktop that sent this notification, if available.

  Returns
    the portal path for the desktop that sent this notification, or `null` if not available.

### getSourceDesktopPath

    public DesktopPath getSourceDesktopPath()

  Returns the desktop path for the desktop that sent this notification, if available.

  Returns
    the desktop path for the desktop that sent this notification, or `null` if not available.

### getSourceDesktopInstanceTitle

    public String getSourceDesktopInstanceTitle()

  Returns the source desktop instance title that this notification was sent from, if available.

  Returns
    the title of the desktop instance this notification was sent from, or `null` if not available.

### getSourcePortletDefinitionLabel

    public String getSourcePortletDefinitionLabel()

  Returns the source portlet definition label for the portlet that this notification was sent from, if available.

  Returns
    the portlet definition label for the portlet this notification was sent from, or `null` if not available.

### getSourcePortletInstanceLabel

    public String getSourcePortletInstanceLabel()

  Gets the source portlet instance label for the portlet that this notification was sent from, if available.

  Returns
    the portlet instance label for the portlet this notification was sent from, or `null` if not available.

### isSelfDestructing

    public boolean isSelfDestructing()

  Indicates whether this notification is self-destructing. Self-destructing notifications automatically remove themselves from the database when they expire or are consumed.

### getExpirationDate

    public Date getExpirationDate()

  Gets the expiration date for this notification.

  Returns
    the expiration date for this notification.

### isActive

    public boolean isActive()

  Determines if this notification is marked as being active in the database. Notifications can be deactivated when they expire or manually.

  Returns
    the active flag for this notification.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.